# IceGrid::FileNotAvailableException

## Overview

### exception FileNotAvailableException

This exception is raised if a file is not available.

#### Used By

AdminSession::openNodeStdErr
AdminSession::openNodeStdOut
AdminSession::openRegistryStdErr
AdminSession::openRegistryStdOut
AdminSession::openServerLog
AdminSession::openServerStdErr
AdminSession::openServerStdOut
FileIterator::read

#### See Also

AdminSession::openServerStdOut
AdminSession::openServerStdErr
AdminSession::openNodeStdOut
AdminSession::openNodeStdErr
AdminSession::openRegistryStdOut
AdminSession::openRegistryStdErr

## Data Members

string reason;